DynamicJava Javadoc: Class ExceptionsAttribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.classfile
Class ExceptionsAttribute

    java.lang.Object
      |
      +--koala.dynamicjava.classfile.BytecodeComponent
            |
            +--koala.dynamicjava.classfile.AttributeInfo
                  |
                  +--koala.dynamicjava.classfile.ExceptionsAttribute

public class ExceptionsAttribute
extends AttributeInfo

This class represents a method exceptions attribute

Fields inherited from class koala.dynamicjava.classfile.AttributeInfo
`length`

Fields inherited from class koala.dynamicjava.classfile.BytecodeComponent
`constantPool, nameIndex`

Constructor Summary
`ExceptionsAttribute(ConstantPool cp)` Creates a new empty (not valid) code attribute

Method Summary
`void` | `addException(java.lang.String name)` Adds an exception to the attribute
`void` | `write(java.io.DataOutputStream out)` Writes the exception info to the given output stream.

Methods inherited from class koala.dynamicjava.classfile.BytecodeComponent
`getConstantPool, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionsAttribute

    public ExceptionsAttribute(ConstantPool cp)

  Creates a new empty (not valid) code attribute
  Parameters:
    `cp` - the constant pool

Method Detail

### write

    public void write(java.io.DataOutputStream out)
               throws java.io.IOException

  Writes the exception info to the given output stream.
  Overrides:
    `write` in class `BytecodeComponent`

### addException

    public void addException(java.lang.String name)

  Adds an exception to the attribute
  Parameters:
    `name` - the name of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.